Subject: [716] Re: ftpconversions file

From: Wai Wong <[email-masked]>
Date: Tue, 15 Nov 1994 18:05:15 -0800

I have a few responses from this group, but I think I need to explain
the problem a little better. So I am including my configurations.
This is everything I know about the setup. If someone can tell me
what I am doing wrong or what I am missing would be great

Thanks for all the help
wai..

The following is my ftpconversion file
----
 :.Z: :  :/bin/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/bin/compress -c %s:T_REG:O_COMPRESS:COMPRESS
 :.gz: :  :/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/bin/gzip -9 -c %s:T_REG:O_COMPRESS:GZIP
 :   : :.tar:/bin/tar -c -f - %s:T_REG|T_DIR:O_TAR:TAR
 :   : :.tar.Z:/bin/tar -c -Z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tgZ:/bin/tar -c -Z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tar.gz:/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP
 :   : :.tgz:/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP
-----
As far as I can tell, and with suggestions from other users in the group
This looks like it should work.
---
The following is the output from ckconfig
----
Checking _PATH_FTPUSERS :: /usr/ftp/ftpusers
ok.

Checking _PATH_FTPACCESS :: /usr/ftp/etc/ftpaccess
ok.

Checking _PATH_PIDNAMES :: /usr/ftp/daemon/ftpd/ftp.pids-%s
ok.

Checking _PATH_CVT :: /usr/ftp/etc/ftpconversions
ok.

Checking _PATH_XFERLOG :: /usr/ftp/xferlog
ok.

Checking _PATH_PRIVATE :: /usr/ftp/ftpgroups
ok.

Checking _PATH_FTPHOSTS :: /usr/ftp/etc/ftphosts
ok.
-----

My ftp's bin directory contains "compress, ls, gzip, and..."
My ftp's usr/lib contains
---
ld.so*           libc.so.1*       libnsl.so.1*
ld.so.1*         libdl.so.1*      libsocket.so.1*
lddstub*         libintl.so.1*    libw.so.1*
---
"ls" works,

-- 
 -----------------------------------------------------------------------
|Wai K. Wong			Voice Mail:	(408) 496-3831		|
|Senior System Administrator	Fax:		(408) 496-3971		|
|				Email:		[email-masked]	|
 -----------------------------------------------------------------------
|			Rational Software Corporation			|
|	2800 San Tomas Expressway 	Santa Clara, CA 95051-0951	|
 -----------------------------------------------------------------------